######################################################################
#
# Macro Name    : 04c_rerecorded.tcl
#
# Version       : Surpac 6.4 
#
# Creation Date : Wed Jan 16 13:37:04 2013
#
# Description   : 
#
######################################################################

# macro 4b

set status [ SclFunction "DELETE CUTTING PLANES" {} ]

set status [ SclFunction "DELETE PLANE" {
  type="Vertical sections"
  group="crossSections"
  frmdeletePlaneConfirm={
    {
      _action=""
    }
  }
}]


set status [ SclFunction "GEOLOGY DATABASE DISCONNECT" {} ]

set status [ SclFunction "EXIT GRAPHICS" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="03c_display_drillholes_with_styles.tcl"
  mode="openInNewLayer"
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="topo1.dtm"
  mode="openInNewLayer"
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="pit1.dtm"
  mode="openInNewLayer"
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="ore1.dtm"
  mode="openInNewLayer"
}]

set status [ SclFunction "SECTION" {} ]

set status [ SclFunction "QUICK PLANES" {
  frmQuickPlanes={
    {
      values="7120,7600,40"
      oblique_definition_method="Digitised endpoints"
      end="7700.000"
      start="7100.000"
      plane_type="Northing"
      looking_north="Looking north"
      group="crossSections"
      extension="N"
      looking_west="Looking west"
      towards="20.000"
      definition_method="Specific values"
      away="20.000"
      looking_down="Looking down"
      save="true"
      interval="100.000"
      two_d="false"
    }
  }
}]

# macro 4c

set status [ SclFunction "EXIT GRAPHICS" {} ]

set status [ SclFunction "DELETE CUTTING PLANES" {} ]

set status [ SclFunction "CHECK DATABASE CONNECTED" {
  databasesession="GeologyDatabase"
  databasepurpose="drillholes"
  databasehandle="GEOLOGY"
}]

set status [ SclFunction "GET DATABASE HANDLE" {
  sessionType="GeologyDatabase"
  DatabaseHandle="GEOLOGY"
  DatabaseType="drillholes"
  DatabaseName="surpac_training"
  result=1
}]

set status [ SclFunction "DRILLHOLE ATTRIBUTES" {
  _action=display
  trace_colour="forest green"
  trace_thickness="1"
  table=""
  field=""
  tick_mark_weight="1"
  rescale="false"
  add_constraint="false"
  cylinder_style="no cylinders"
  cylinder_radius="1.000"
  cylinder_maximum="50.0"
  show_collars="true"
}]

set status [ SclFunction "DRILLHOLE COLLARS" {
  show_collars="true"
  collar_marker="(+)"
  collar_marker_size="0.5"
  position="along path"
  collar_offset="0.0"
  num_rows="0"
}]

set status [ SclFunction "DRILLHOLE GEOLOGY" {
  num_rows="0"
}]

set status [ SclFunction "DRILLHOLE LABELS" {
  tick_length="1.0"
  tbl={
    "geology"
    "sample"
  }
  fld={
    "lithology"
    "gold"
  }
  position={
    "right"
    "left"
  }
  offset={
    "1.0"
    "3.0"
  }
  decimals={
    "-1"
    "2"
  }
  use_styles={
    "true"
    "true"
  }
  colour={
    ""
    ""
  }
  font_style={
    "Default"
    "Default"
  }
  font_size={
    "1.0"
    "1.0"
  }
  font_units={
    "oru"
    "oru"
  }
  alignment={
    "left"
    "left"
  }
  combine={
    "true"
    "true"
  }
  minValue={
    ""
    ""
  }
  maxValue={
    ""
    ""
  }
  num_rows="2"
}]

set status [ SclFunction "DRILLHOLE GRAPHS" {
  num_rows="0"
}]

set status [ SclFunction "DRILLHOLE DEPTH MARKERS" {
  position="left"
  offset="5.0"
  decimals="2"
  use_styles="false"
  colour=""
  font_style="Default"
  font_size="1.000"
  font_units="oru"
  alignment="right"
  major="10.0"
  minor="0.0"
  display="false"
  major_length="3.0"
  minor_length="1.0"
}]

set status [ SclFunction "DRILLHOLE APPARENT DIP MARKERS" {
  num_rows="0"
}]

set status [ SclFunction "ZOOM ALL" {} ]

set status [ SclFunction "SECTION" {} ]

set status [ SclFunction "ACTIVATE PLANE" {
  type="Vertical sections"
  group="crossSections"
  plane="7120N"
}]

set status [ SclFunction "NEXT PLANE" {} ]

SclPause 1

set status [ SclFunction "NEXT PLANE" {} ]

SclPause 1

set status [ SclFunction "NEXT PLANE" {} ]

SclPause 1

set status [ SclFunction "NEXT PLANE" {} ]

SclPause 1

set status [ SclFunction "NEXT PLANE" {} ]

SclPause 1

set status [ SclFunction "NEXT PLANE" {} ]

SclPause 1

set status [ SclFunction "NEXT PLANE" {} ]

SclPause 1

set status [ SclFunction "NEXT PLANE" {} ]

SclPause 1

set status [ SclFunction "NEXT PLANE" {} ]

SclPause 1

set status [ SclFunction "NEXT PLANE" {} ]

SclPause 1

set status [ SclFunction "NEXT PLANE" {} ]

SclPause 1

set status [ SclFunction "NEXT PLANE" {} ]

SclPause 1

set status [ SclFunction "NEXT PLANE" {} ]

puts  ""
puts  ""
puts  "Macro 04c_create_regular_sectiona.tcl completed."
puts  ""
